> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.position.md).

# Position

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies one of four positions in a container.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum Position : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum Position As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                               |
| ---------- | ----------------------------------------- |
| **Bottom** | Indicates the bottom side of a container. |
| **Left**   | Indicates the left side of a container.   |
| **Right**  | Indicates the right side of a container.  |
| **Top**    | Indicates the top side of a container.    |

## Used By

| Name                                                                                                                 | Description                                                                                                                                                |
| -------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridView.ToolsPosition](/api/wisej.web/lists-and-grids/datagridview.md#toolsposition)                           | Returns or sets the position of the [ComponentTool](/api/wisej.web/editors/wisej.web.componenttool.md) items associated with this control.                 |
| [DataGridView.ScrollRowIntoView](/api/wisej.web/lists-and-grids/datagridview.md#scrollrowintoview-row-aligny)        | Scrolls the specified row into view.                                                                                                                       |
| [DataGridView.ScrollCellIntoView](/api/wisej.web/lists-and-grids/datagridview.md#scrollcellintoview-cell)            | Scrolls the specified cell into view aligned according to the position specified by *alignX* and *alignY* , if possible.                                   |
| [DataGridView.ScrollColumnIntoView](/api/wisej.web/lists-and-grids/datagridview.md#scrollcolumnintoview-columnindex) | Scrolls the specified column into view aligned to the left or right according to the position specified by *alignX* .                                      |
| [Desktop.TaskbarPosition](/api/wisej.web/containers/desktop.md#taskbarposition)                                      | Return or sets the position of the taskbar to one of the four sides indicated by the [Position](/api/wisej.web/enumerations/wisej.web.position.md) values. |
| [ListView.ToolsPosition](/api/wisej.web/lists-and-grids/listview.md#toolsposition)                                   | Returns or sets the position of the [ComponentTool](/api/wisej.web/editors/wisej.web.componenttool.md) items associated with this control.                 |
| [PropertyGrid.ToolsPosition](/api/wisej.web/lists-and-grids/propertygrid.md#toolsposition)                           | Returns or sets the position of the [ComponentTool](/api/wisej.web/editors/wisej.web.componenttool.md) items associated with this control.                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.position.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
